Subject: Re: bug#6128: Suggestion for improving info node "GDB Graphical Interface"

From: Stephen Berman <[email-masked]>
Date: Fri, 07 May 2010 09:39:58 +0200

On Thu, 6 May 2010 22:35:15 +0100 Reuben Thomas <[email-masked]> wrote:

> "In effect, this makes Emacs into an IDE (interactive development environment)."
>
> I suggest this sentence be removed. There are two problems: first,
> "IDE" stands for "Integrated Development Environment", not
> "Interactive Development Environment". Secondly, the GDB Graphical
> Interface does not make Emacs either of those things: it is both
> already integrated (in this case, for debugging, with the existing
> gud-* modes) and interactive (fundamentally). Perhaps the intention of
> this sentence is to advertise that this mode can make Emacs more like
> a more typical GUI-based IDE, but that dubious both as a statement and
> as a wish.

I agree the sentence should be removed, which would obviate needing to
correct its grammar (to either "makes Emacs an IDE" or "turns Emacs into
an IDE").

Steve Berman